> ## Documentation Index
> Fetch the complete documentation index at: https://api-docs.rookoo.ai/llms.txt
> Use this file to discover all available pages before exploring further.

# Create a knowledge base



## OpenAPI

````yaml /openapi/application.json post /api/v1/accounts/{account_id}/knowledgebases
openapi: 3.0.4
info:
  title: Rookoo Application API
  description: >-
    Manage conversations, contacts, inboxes, planning, knowledge bases, MCP, and
    account settings on behalf of a user.
  version: 1.1.0
  termsOfService: https://www.rookoo.ai/terms-of-service/
  contact:
    email: hello@rookoo.ai
  license:
    name: MIT License
    url: https://opensource.org/licenses/MIT
servers:
  - url: https://app.rookoo.ai/
security: []
tags:
  - name: Account AgentBots
    description: Account-specific Agent Bots
  - name: Agents
    description: Agent management APIs
  - name: Canned Responses
    description: Pre-defined responses for common queries
  - name: Contacts
    description: Contact management APIs
  - name: Contact Labels
    description: Manage contact labels
  - name: Conversation Assignments
    description: Manage conversation assignments
  - name: Conversation Labels
    description: Manage conversation labels
  - name: Conversations
    description: Conversation management APIs
  - name: Custom Attributes
    description: Custom fields for contacts and conversations
  - name: Custom Filters
    description: Saved filters for conversations
  - name: Inboxes
    description: Communication channels setup
  - name: Integrations
    description: Third-party integrations
  - name: Messages
    description: Message management APIs
  - name: Profile
    description: User profile APIs
  - name: Reports
    description: Analytics and reporting APIs
  - name: Teams
    description: Team management APIs
  - name: Webhooks
    description: Event notification webhooks
  - name: OAuth Applications
    description: Account-scoped OAuth 2.0 clients
  - name: Automation Rule
    description: Workflow automation rules
  - name: Help Center
    description: Knowledge base management
  - name: Knowledge Bases
    description: Searchable knowledge bases and records
  - name: Planning Events
    description: Event planning and inquiries
  - name: Planning Allocations
    description: Space allocations and availability
  - name: Planning Quotes
    description: Quotes for planning events
  - name: Planning Rates
    description: Rate catalogue and prices
  - name: Planning Pricing
    description: Pricing plans, discount codes, and price preview/lock
  - name: Spaces
    description: Bookable spaces and rooms
  - name: Rookoo Agents
    description: Rookoo AI agent configuration
  - name: Copilot
    description: Copilot JWT and settings
  - name: MCP
    description: Model Context Protocol server endpoints
paths:
  /api/v1/accounts/{account_id}/knowledgebases:
    parameters:
      - $ref: '#/components/parameters/account_id'
    post:
      tags:
        - Knowledge Bases
      summary: Create a knowledge base
      operationId: create-knowledgebase
      requestBody:
        required: true
        content:
          application/json:
            schema:
              $ref: '#/components/schemas/knowledgebase_create_update_payload'
      responses:
        '200':
          description: Success
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/knowledgebase'
      security:
        - userApiKey: []
components:
  parameters:
    account_id:
      in: path
      name: account_id
      schema:
        type: integer
      required: true
      description: The numeric ID of the account
  schemas:
    knowledgebase_create_update_payload:
      type: object
      required:
        - knowledgebase
      properties:
        knowledgebase:
          type: object
          required:
            - name
          properties:
            name:
              type: string
            description:
              type: string
            type:
              type: string
            query_builder_instructions:
              type: string
            optimized_query:
              type: boolean
            disable_match_filter:
              type: boolean
            index_media:
              type: boolean
            hybrid_factor:
              type: number
            max_distance_boost:
              type: number
            default_geo_mode:
              type: string
            geo_radius_city:
              type: integer
            geo_radius_region:
              type: integer
            geo_radius_address:
              type: integer
            template_config:
              type: object
              additionalProperties: true
            custom_geo_areas:
              type: array
              items:
                type: object
                additionalProperties: true
            files:
              type: array
              items:
                type: string
    knowledgebase:
      type: object
      properties:
        id:
          type: integer
        name:
          type: string
        description:
          type: string
          nullable: true
        type:
          type: string
          nullable: true
        parent_id:
          type: integer
          nullable: true
        namespace:
          type: string
          nullable: true
        system:
          type: boolean
        query_builder_instructions:
          type: string
          nullable: true
        optimized_query:
          type: boolean
        disable_match_filter:
          type: boolean
        index_media:
          type: boolean
        hybrid_factor:
          type: number
        max_distance_boost:
          type: number
        default_geo_mode:
          type: string
          nullable: true
        template_config:
          type: object
          additionalProperties: true
        custom_geo_areas:
          type: array
          items:
            type: object
            additionalProperties: true
        space_associated:
          type: boolean
  securitySchemes:
    userApiKey:
      type: apiKey
      in: header
      name: api_access_token
      description: >-
        This token can be obtained by visiting the profile page or via rails
        console. Provides access to  endpoints based on the user permissions
        levels. This token can be saved by an external system when user is
        created via API, to perform activities on behalf of the user.

````

This documentation is built and hosted on [Mintlify](https://mintlify.com), a developer documentation platform.